Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.poi.poifs.property
Interface Parent

All Superinterfaces:
  Child

All Known Implementing Classes:
  DirectoryProperty, RootProperty

    public interface Parent

extends Child

Behavior for parent (directory) properties

Author:
  Marc Johnson27591@hotmail.com

Method Summary
`void` | `addChild(Property property)` Add a new child to the collection of children
`java.util.Iterator` | `getChildren()` Get an iterator over the children of this Parent; all elements are instances of Property.
`void` | `setNextChild(Child child)` Set the next Child
`void` | `setPreviousChild(Child child)` Set the previous Child

Methods inherited from interface org.apache.poi.poifs.property.Child
`getNextChild, getPreviousChild`

Method Detail

### getChildren

    java.util.Iterator getChildren()

  Get an iterator over the children of this Parent; all elements are instances of Property.

  Returns:
    Iterator of children; may refer to an empty collection

### addChild

    void addChild(Property property)
                  throws java.io.IOException

  Add a new child to the collection of children

  Parameters:
    `property` - the new child to be added; must not be null
  Throws:
    `java.io.IOException` - if the Parent already has a child with the same name

### setPreviousChild

    void setPreviousChild(Child child)

  Set the previous Child

  Specified by:
    `setPreviousChild` in interface `Child`
  Parameters:
    `child` - the new 'previous' child; may be null, which has the effect of saying there is no 'previous' child

### setNextChild

    void setNextChild(Child child)

  Set the next Child

  Specified by:
    `setNextChild` in interface `Child`
  Parameters:
    `child` - the new 'next' child; may be null, which has the effect of saying there is no 'next' child

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2010 The Apache Software Foundation or its licensors, as applicable.